@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    scroll-behavior: smooth;
}

body{
    background: #0d1117;
    color: white;
}

/* HEADER */
header{
    width: 100%;
    padding: 20px 8%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111827;
    position: sticky;
    top: 0;
    z-index: 1000;
    box-shadow: 0 4px 10px rgba(0,0,0,0.4);
}

.logo h1{
    font-size: 32px;
    color: white;
}

.logo span{
    color: #00e5ff;
}

nav ul{
    display: flex;
    list-style: none;
    gap: 25px;
    align-items: center;
}

nav ul li a{
    text-decoration: none;
    color: white;
    font-size: 17px;
    transition: 0.3s;
}

nav ul li a:hover{
    color: #00e5ff;
}

#CV{
    background: #00e5ff;
    padding: 10px 18px;
    border-radius: 8px;
    color: black;
    font-weight: 600;
}

/* HERO SECTION */
section{
    min-height: 90vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 60px 8%;
    gap: 50px;
}

.left img{
    width: 320px;
    height: 320px;
    border-radius: 50%;
    object-fit: cover;
    border: 5px solid #00e5ff;
    box-shadow: 0 0 25px #00e5ff;
}

.right h1{
    font-size: 45px;
}

.right span{
    color: #00e5ff;
}

.right h2{
    font-size: 28px;
    margin: 10px 0;
    color: #cbd5e1;
}

.right p{
    line-height: 1.8;
    margin-bottom: 20px;
}

#CV2{
    text-decoration: none;
    background: #00e5ff;
    padding: 12px 20px;
    color: black;
    border-radius: 8px;
    font-weight: 600;
}

/* ABOUT */
.me{
    padding: 70px 8%;
}

.about h1{
    text-align: center;
    font-size: 40px;
    margin-bottom: 20px;
    color: #00e5ff;
}

.about p{
    text-align: center;
    line-height: 1.8;
    margin-bottom: 30px;
}
.table-scroll{
    width: 100%;
    overflow-x: auto;
}

.table-scroll table{
    min-width: 700px;
}

table{
    width: 100%;
    border-collapse: collapse;
    overflow-x: auto;
}

table th, table td{
    border: 1px solid #334155;
    padding: 15px;
    text-align: center;
}

table th{
    background: #1e293b;
}


/* SKILLS */
.skill-container{
    padding: 70px 8%;
    text-align: center;
}

.skill-container h1{
    font-size: 40px;
    margin-bottom: 30px;
    color: #00e5ff;
}

.skill{
    display: flex;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.skill-cards{
    width: 300px;
    background: #111827;
    padding: 30px;
    border-radius: 15px;
    box-shadow: 0 0 15px rgba(0,229,255,0.15);
    transition: 0.3s;
}

.skill-cards:hover{
    transform: translateY(-8px);
}

.skill-cards ul{
    list-style: none;
    margin-top: 20px;
}

.skill-cards li{
    font-size: 18px;
}

/* PROJECTS */
.project-conteiner{
    padding: 70px 8%;
    text-align: center;
}

.project-conteiner h1{
    font-size: 40px;
    color: #00e5ff;
    margin-bottom: 30px;
}

.project-cards{
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}

.card1{
    width: 300px;
    background: #111827;
    padding: 25px;
    border-radius: 15px;
    min-height: 350px;
    box-shadow: 0 0 15px rgba(0,229,255,0.15);
}

.card1 ul{
    list-style: none;
}

#view{
    text-decoration: none;
    background: #00e5ff;
    padding: 10px 18px;
    border-radius: 8px;
    color: black;
    font-weight: 600;
}

/* CONTACT */
.contact{
    padding: 70px 8%;
    display: flex;
    justify-content: center;
}

.contact-form{
    width: 100%;
    max-width: 600px;
    background: #111827;
    padding: 35px;
    border-radius: 15px;
    box-shadow: 0 0 15px rgba(0,229,255,0.15);
}

.contact-form h2{
    text-align: center;
    margin-bottom: 20px;
    color: #00e5ff;
}

form input,
form textarea{
    width: 100%;
    padding: 15px;
    margin-bottom: 15px;
    border: none;
    outline: none;
    border-radius: 8px;
    background: #1e293b;
    color: white;
}

form textarea{
    height: 150px;
    resize: none;
}

button{
    width: 100%;
    padding: 14px;
    border: none;
    background: #00e5ff;
    color: black;
    font-size: 16px;
    font-weight: 600;
    border-radius: 8px;
    cursor: pointer;
}

/* TABLET */
@media(max-width: 992px){
    section{
        flex-direction: column;
        text-align: center;
    }

    nav ul{
        gap: 15px;
        font-size: 14px;
    }
}

/* MOBILE */
@media(max-width: 768px){

    header{
        flex-direction: column;
        gap: 20px;
        padding: 20px;
    }

    nav ul{
        flex-direction: column;
        gap: 15px;
    }

    .right h1{
        font-size: 32px;
    }

    .right h2{
        font-size: 22px;
    }

    .left img{
        width: 230px;
        height: 230px;
    }

    table{
        display: block;
        overflow-x: auto;
    }

    .skill-cards,
    .card1{
        width: 100%;
    }
}

/* SMALL MOBILE */
@media(max-width: 426px){

    nav{
        display: none;
    }

    header{
        justify-content: center;
        padding: 20px;
    }

    .logo{
        text-align: center;
        width: 100%;
    }

    section{
        flex-direction: column;
        text-align: center;
    }

    .right h1{
        font-size: 32px;
    }

    .right h2{
        font-size: 22px;
    }

    .left img{
        width: 230px;
        height: 230px;
    }
     .table-scroll{
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    table{
        display: block;
        overflow-x: auto;
    }

    .skill-cards,
    .card1{
        width: 100%;
    }
}